请选择 进入手机版 | 继续访问电脑版
12下一页
返回列表 发新帖
显示全部楼层
4
帖子
0
勋章
51
Y币

[云开发] Google Play上架报错

[复制链接]
发表于 2022-8-11 14:56:10
第一次提交提示api版本需要调整到31, 把api版本设置到31之后又提示:您上传的 APK 或 Android App Bundle 内含活动、活动别名、服务或广播接收器,这些项目有 intent 过滤器,但没有“android:exported”属性设置。此文件无法在 Android 12 或更高版本上安装。该属性应该怎么设置 在哪里设置?

30api提示

30api提示

31api提示

31api提示
9
帖子
1
勋章
5446
Y币
我这边确认一下
4
帖子
0
勋章
51
Y币
请问有办法解决吗?
9
帖子
1
勋章
5446
Y币
你的配置文件是怎么写的,res下的
4
帖子
0
勋章
51
Y币
这是全部代码

<?xml version="1.0" encoding="UTF-8"?>
<manifest>
    <application name="targetSdkVersion" value="31"/>
</manifest>
技术咨询-特特 · 2022-8-11 16:27你的配置文件是怎么写的,res下的
9
帖子
1
勋章
5446
Y币
配置文件没问题,我这边测试一下,配置成31,然后看下包里的是否也为31,
4
帖子
0
勋章
51
Y币
配置成31上传到谷歌会提示:您上传的 APK 或 Android App Bundle 内含活动、活动别名、服务或广播接收器,这些项目有 intent 过滤器,但没有“android:exported”属性设置。此文件无法在 Android 12 或更高版本上安装。
技术咨询-特特 · 2022-8-11 16:49配置文件没问题,我这边测试一下,配置成31,然后看下包里的是否也为31,
4
帖子
0
勋章
51
Y币
打包的AAB格式的文件,apk上传不了谷歌.
技术咨询-特特 · 2022-8-11 16:49配置文件没问题,我这边测试一下,配置成31,然后看下包里的是否也为31,
9
帖子
1
勋章
5446
Y币
发一下你的安装包
4
帖子
0
勋章
51
Y币
我把安装包放服务器了,你下载一下吧.https://delihe**.**/%E6%B8%AF%E9%80%9A%E8%BF%90.aab
12下一页
您需要登录后才可以回帖 登录

本版积分规则